LibreOffice LibreOffice 26.2 SDK API Reference

List of all members
DefaultGridColumnModel Service Reference

If you do not want to implement the XGridColumnModel yourself, use this service. More...

`import"DefaultGridColumnModel.idl";`

Inheritance diagram for DefaultGridColumnModel:

## Additional Inherited Members
Exported Interfaces inherited from XGridColumnModel
interface | ::com::sun::star::lang::XComponent
| implements life time control for the component More...
interface | ::com::sun::star::container::XContainer
| allows to register listeners to be notified when columns are inserted or removed More...
interface | ::com::sun::star::util::XCloneable
| allows cloning the complete column model More...
Public Member Functions inherited from XGridColumnModel
long | getColumnCount ()
| Returns the number of columns. More...
XGridColumn | createColumn ()
| creates a new column for use with the column model. More...
long | addColumn ([in] XGridColumn column) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Adds a column to the model. More...
void | removeColumn ([in] long ColumnIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| removes a column from the model More...
sequence< XGridColumn > | getColumns ()
| Returns all columns of the model. More...
XGridColumn | getColumn ([in] long index) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| Returns a specific column. More...
void | setDefaultColumns ([in] long elements)
| Fills the model with the given number of default columns. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...

## Detailed Description

If you do not want to implement the XGridColumnModel yourself, use this service.

Since
  OOo 3.3

The documentation for this service was generated from the following file:

- com/sun/star/awt/grid/DefaultGridColumnModel.idl